
QGIS Application - Bug report #19802

DB Manager saved SQL statements are saved empty

2018-09-10 08:30 AM - Tomasz Rychlicki

Status: Closed

Priority: High

Assignee: Alessandro Pasotti

Category: DB Manager

Affected QGIS version:3.3(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27627

Description

When I saved SQL statement in DB Manager using Save button it appeared as 'saved' but when I chose to load it from the Saved

Statements (it was present there) it loads empty statement window.

Associated revisions

Revision a74b6262 - 2018-09-18 06:22 PM - Alessandro Pasotti 

[dbmanager] Fix stored queries retrieve

Fixes #19802 - DB Manager saved SQL statements are saved empty

History

#1 - 2018-09-10 08:39 AM - Tomasz Rychlicki

I tried now and it can be important that the statements are cleared while closing QGIS or during saving project.

#2 - 2018-09-10 10:55 AM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

- Operating System deleted (Windows7)

Confirmed on master/linux.

#3 - 2018-09-18 04:52 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#4 - 2018-09-18 06:29 PM - Alessandro Pasotti

- Status changed from Open to In Progress

- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/7951

#5 - 2018-09-19 11:43 AM - Anonymous
https://github.com/qgis/QGIS/pull/7951


- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|a74b6262df6e07473d1c02568b9cce5eb2b41fdd.
